
Figure - Bug #116129
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】投屏和时钟进入小窗模式后，部分页面显示异常
2023-02-09 16:41 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-09

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0073.X101

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302180012

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 这个是由于在小窗模式下,字体大小的选择发生错乱,有些字体大小用的是默认的value下面的值,有些用的是sw600dp下面的,导致字体大小显示不一直

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开智联投屏应用小窗

2、打开时钟应用-时区选择页面

3、进入任务管理器，点击右上角的小窗按钮

【预期结果】

1、投屏小窗页面显示正常

3、时钟-时区选择页面显示正常

【实际结果】

1、投屏页面内容重叠

3、时钟-时区选择页面上下部分字体大小不一致

【复现率】

3/3

History

#1 - 2023-02-17 18:27 - CD FW-鲁凯峰

- Root cause set to 这个是由于在小窗模式下,字体大小的选择发生错乱,有些字体大小用的是默认的value下面的值,有些用的是sw600dp下面的,导致字体大小

显示不一直

■ Current conclusion

问题已经解决

■ My analysis

1、投屏页面内容重叠

针对投屏的问题,已经需求PM沟通过,暂时做成投屏app不支持小窗模式,在AndroidManifest中设置android:resizeableActivity="false"
3、时钟-时区选择页面上下部分字体大小不一致

这个是由于在小窗模式下,字体大小的选择发生错乱,有些字体大小用的是默认的value下面的值,有些用的是sw600dp下面的,导致字体大小显示不一直

现在是把默认value下面的字体大小改成和sw600dp一样

■ Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/vendor/hht/apps/LeBoCast/+/182642

http://10.0.232.3:3307/gerrit/c/general/platform/packages/apps/DeskClock/+/182656

#2 - 2023-02-17 19:02 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

182642 general/platform/vendor/hht/apps/LeB

oCast

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:LeboCast:Fixed use of small windows is prohibitedTC-RID: 1201-0300501IssueID: TS-R-BUG-116129Change-Id:

Ic9b430c558eb8b3db127ee2e7a00e8f3acbe460e

#3 - 2023-02-17 19:51 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

182656 general/platform/packages/apps/Desk

Clock

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

lukf0916@thundersoft.com

AF: DeskClock: update city selection font sizesome textview will use default value font size in freeform mode,keep it same with sw600-dp value font sizeTC-RID:

1201-0300901IssueID: TS-R-BUG-116129Change-Id: I1ba44987eabb93a73e052374b26c809961989859

#4 - 2023-02-17 19:52 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CD TEST-方永红

- Resolution changed from -- to FIXED

#5 - 2023-02-20 10:40 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 0 to 100

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302180012

2.20

验证通过

#6 - 2023-02-20 10:40 - CD TEST-方永红
http://10.0.232.3:3307/gerrit/c/general/platform/vendor/hht/apps/LeBoCast/+/182642
- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-09 16-34-46.mp4 17.2 MB 2023-02-09 CD TEST-方永红
